package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @description 青少年忧郁情绪自我检视表
 */
public class ADSCScale extends BaseScale {
    public ADSCScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public JSONObject scaleCalculate() throws Exception {
        //总分
        int score = 0;

        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("checkItems").equals("是")) {
                score += 1;
            } else if (jsonObject1.getString("checkItems").equals("否")) {
                score += 0;
            }
        }


        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));

        if (score <= 5) {
            resultMap.put("总分结论", "你真的不错喔 !忧郁程度满低的，平时就知道要如何调整情绪及纾解压力吧。继续保持下去，别让忧郁情绪发酵 !");
            resultJson.put("总分结论", "你真的不错喔 !忧郁程度满低的，平时就知道要如何调整情绪及纾解压力吧。继续保持下去，别让忧郁情绪发酵 !");
        } else if (score <= 11) {
            resultMap.put("总分结论", "最近的心情是不是起起伏伏，有些令人烦恼的事 ?要不要试着把问题及感受向自己信任的人(例如朋友、父母或师长)说出来，一起讨论解决的方法。他们的经验会带给你不同的想法 !你也可以做些愉快的事，多做腹式深呼吸，每天运动，保持活动的习惯，让自己有活力 !或是和朋友一起做些愉快放松的事，转移注意力，冷静一下重新出发，忧郁情绪不再有。");
            resultJson.put("总分结论", "最近的心情是不是起起伏伏，有些令人烦恼的事 ?要不要试着把问题及感受向自己信任的人(例如朋友、父母或师长)说出来，一起讨论解决的方法。他们的经验会带给你不同的想法 !你也可以做些愉快的事，多做腹式深呼吸，每天运动，保持活动的习惯，让自己有活力 !或是和朋友一起做些愉快放松的事，转移注意力，冷静一下重新出发，忧郁情绪不再有。");
        } else {
            resultMap.put("总分结论", "是不是已持续一阵子都闷闷的 ?觉得步伐、肩膀很沉重，或是常常担心很多事，很焦虑 ?你的忧郁程度已经颇高了，需要好好注意了。赶快把自己的情况告诉学校的辅导老师或专业机构，请他们给予协助，求助不代表你不行，反而表示你聪明得善用资源呢 !");
            resultJson.put("总分结论", "是不是已持续一阵子都闷闷的 ?觉得步伐、肩膀很沉重，或是常常担心很多事，很焦虑 ?你的忧郁程度已经颇高了，需要好好注意了。赶快把自己的情况告诉学校的辅导老师或专业机构，请他们给予协助，求助不代表你不行，反而表示你聪明得善用资源呢 !");
        }

        List<Map<String, String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList", resultMapList);
        returnJson.put("scaleName", Constant.SHEET_NAME_ADSC);
        returnJson.put("resultJson", resultJson);

        return returnJson;
    }
}
